Functions
Functions
Graphics » HAL GFX » GFX_TRANSITIONS
Collaboration diagram for Functions:

## Functions
void | hal_gfx_transition (hal_gfx_transition_t effect, hal_gfx_tex_t initial, hal_gfx_tex_t final, uint32_t blending_mode, float step, int width, int height)
| Transition from 'initial' texture to 'final' texture. More...
void | hal_gfx_transition_linear_hor (hal_gfx_tex_t left, hal_gfx_tex_t right, uint32_t blending_mode, float step, int width)
| Linear transition horizontally. More...
void | hal_gfx_transition_linear_ver (hal_gfx_tex_t up, hal_gfx_tex_t down, uint32_t blending_mode, float step, int height)
| Linear transition vertically. More...
void | hal_gfx_transition_cube_hor (hal_gfx_tex_t left, hal_gfx_tex_t right, uint32_t blending_mode, float step, int width, int height)
| Cubic (textures are mapped on the external faces of a cube) transition horizontally. More...
void | hal_gfx_transition_cube_ver (hal_gfx_tex_t up, hal_gfx_tex_t down, uint32_t blending_mode, float step, int width, int height)
| Cube (textures are mapped on the external faces of a cube) transition vertically. More...
void | hal_gfx_transition_innercube_hor (hal_gfx_tex_t left, hal_gfx_tex_t right, uint32_t blending_mode, float step, int width, int height)
| Inner Cube (textures are mapped on the internal faces of a cube) transition horizontally. More...
void | hal_gfx_transition_innercube_ver (hal_gfx_tex_t up, hal_gfx_tex_t down, uint32_t blending_mode, float step, int width, int height)
| Inner Cube (textures are mapped on the internal faces of a cube) transition vertically. More...
void | hal_gfx_transition_stack_hor (hal_gfx_tex_t left, hal_gfx_tex_t right, float step, int width, int height)
| Stack transition horizontally. More...
void | hal_gfx_transition_stack_ver (hal_gfx_tex_t up, hal_gfx_tex_t down, float step, int width, int height)
| Stack transition vertically. More...
void | hal_gfx_transition_fade (hal_gfx_tex_t initial, hal_gfx_tex_t final, uint32_t blending_mode, float step, int width, int height)
| Fade transition. More...
void | hal_gfx_transition_fade_zoom (hal_gfx_tex_t initial, hal_gfx_tex_t final, uint32_t blending_mode, float step, int width, int height)
| Fade-zoom transition. More...
void | hal_gfx_transition_spin_hor (hal_gfx_tex_t front, hal_gfx_tex_t back, uint32_t blending_mode, float step, int width, int height, bool is_clockwise)
| Spin around Y-Axis transition . More...
void | hal_gfx_transition_pushpull_hor (hal_gfx_tex_t initial, hal_gfx_tex_t final, uint32_t blending_mode, float step, int width, int height)
| Push-pull transition horizontally. More...
void | hal_gfx_transition_pushpull_ver (hal_gfx_tex_t initial, hal_gfx_tex_t final, uint32_t blending_mode, float step, int width, int height)
| Push-pull transition vertically. More...

## Detailed Description

## Function Documentation

## ◆ hal_gfx_transition()

void hal_gfx_transition | ( | hal_gfx_transition_t | effect,
|  | hal_gfx_tex_t | initial,
|  | hal_gfx_tex_t | final,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Transition from 'initial' texture to 'final' texture.

The transition is complete when 'step' is 0 or 1

Parameters

  [in] | effect | Transition effect
  [in] | initial | Initial texture
  [in] | final | Final texture
  [in] | blending_mode | Blending mode
  [in] | step | Transition step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_cube_hor()

void hal_gfx_transition_cube_hor | ( | hal_gfx_tex_t | left,
|  | hal_gfx_tex_t | right,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Cubic (textures are mapped on the external faces of a cube) transition horizontally.

When 'step' changes from zero to one, textures move from left to right, otherwise textures move from right to left. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | left | Texture on the left side
  [in] | right | Texture on the right side
  [in] | blending_mode; | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_cube_ver()

void hal_gfx_transition_cube_ver | ( | hal_gfx_tex_t | up,
|  | hal_gfx_tex_t | down,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Cube (textures are mapped on the external faces of a cube) transition vertically.

When 'step' changes from zero to one, textures move from top to bottom, otherwise textures move from bottom to top. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | up | Texture on the top side
  [in] | down | Texture on the bottom side
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_fade()

void hal_gfx_transition_fade | ( | hal_gfx_tex_t | initial,
|  | hal_gfx_tex_t | final,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Fade transition.

Initial texture is being faded out, while final texture is being faded in. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | initial | Texture initial
  [in] | final | Texture final
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_fade_zoom()

void hal_gfx_transition_fade_zoom | ( | hal_gfx_tex_t | initial,
|  | hal_gfx_tex_t | final,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Fade-zoom transition.

Initial texture is being zoomed and faded out, while final texture is being zoomed and faded in. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | initial | Initial texture
  [in] | final | Final texture
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_innercube_hor()

void hal_gfx_transition_innercube_hor | ( | hal_gfx_tex_t | left,
|  | hal_gfx_tex_t | right,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Inner Cube (textures are mapped on the internal faces of a cube) transition horizontally.

When 'step' changes from zero to one, textures move from left to right, otherwise textures move from right to left. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | left | Texture on the left side
  [in] | right | Texture on the right side
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_innercube_ver()

void hal_gfx_transition_innercube_ver | ( | hal_gfx_tex_t | up,
|  | hal_gfx_tex_t | down,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Inner Cube (textures are mapped on the internal faces of a cube) transition vertically.

When 'step' changes from zero to one, textures move from top to bottom, otherwise textures move from bottom to top. The transition The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | up | Texture on the top side
  [in] | down | Texture on the bottom side
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_linear_hor()

void hal_gfx_transition_linear_hor | ( | hal_gfx_tex_t | left,
|  | hal_gfx_tex_t | right,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width
| ) |  |

Linear transition horizontally.

When 'step' changes from zero to one, textures move from right to left, otherwise textures move from left to right. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | left | Texture on the left side
  [in] | right | Texture on the right side
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width

## ◆ hal_gfx_transition_linear_ver()

void hal_gfx_transition_linear_ver | ( | hal_gfx_tex_t | up,
|  | hal_gfx_tex_t | down,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | height
| ) |  |

Linear transition vertically.

When 'step' changes from zero to one, textures move from top to bottom, otherwise textures move from bottom to top. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | up | Texture on the top side
  [in] | down | Texture on the bottom side
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | height | Texture height

## ◆ hal_gfx_transition_pushpull_hor()

void hal_gfx_transition_pushpull_hor | ( | hal_gfx_tex_t | initial,
|  | hal_gfx_tex_t | final,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Push-pull transition horizontally.

This is a variation of linear transition with some field-of-depth effect. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | initial | Initial texture
  [in] | final | Final texture
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_pushpull_ver()

void hal_gfx_transition_pushpull_ver | ( | hal_gfx_tex_t | initial,
|  | hal_gfx_tex_t | final,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Push-pull transition vertically.

This is a variation of linear transition with some field-of-depth effect. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | initial | Initial texture
  [in] | final | Final texture
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_spin_hor()

void hal_gfx_transition_spin_hor | ( | hal_gfx_tex_t | front,
|  | hal_gfx_tex_t | back,
|  | uint32_t | blending_mode,
|  | float | step,
|  | int | width,
|  | int | height,
|  | bool | is_clockwise
| ) |  |

Spin around Y-Axis transition .

The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | front | front texture
  [in] | back | : back texture
  [in] | blending_mode | Blending mode
  [in] | step | Current step within [0.f , 1.f] range, [0, 0.5] - show front texture; (0.5, 1], show back texture
  [in] | width | Texture width
  [in] | height | Texture height
  [in] | is_clockwise | Spin by clockwise or counter-clockwise

## ◆ hal_gfx_transition_stack_hor()

void hal_gfx_transition_stack_hor | ( | hal_gfx_tex_t | left,
|  | hal_gfx_tex_t | right,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Stack transition horizontally.

When 'step' changes from zero to one, textures move from left to right, otherwise textures move from right to left. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | left | Texture on the left side
  [in] | right | Texture on the right side
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height

## ◆ hal_gfx_transition_stack_ver()

void hal_gfx_transition_stack_ver | ( | hal_gfx_tex_t | up,
|  | hal_gfx_tex_t | down,
|  | float | step,
|  | int | width,
|  | int | height
| ) |  |

Stack transition vertically.

When 'step' moves from zero to one, textures move from top to bottom, otherwise textures move from bottom to top. The transition is complete when 'step' is 0 or 1.

Parameters

  [in] | up | Texture on the top side
  [in] | down | Texture on the bottom side
  [in] | step | Current step within [0.f , 1.f] range
  [in] | width | Texture width
  [in] | height | Texture height